dpkg-divert(8)

NAZWA
dpkg-divert - nadpisywanie plików z pakietów

SKŁADNIA
dpkg-divert [option...] command

OPIS
dpkg-diver jest narzędziem używanym do tworzenia i aktualizowania listy nadpisań plików.

"Nadpisania" plików są sposobem na wymuszenie na programie dpkg(1) instalowania pliku nie w domyślnej lokalizacji, lecz w nowej, nadpisanej lokalizacji. Nadpisania mogą być używane w skryptach pakietów Debiana do przeniesienia plików, które powodują konflikty. Administrator systemu może ich także użyć do nadpisania plików konfiguracyjnych pewnych pakietów, albo wtedy gdy niektóre pliki (nieoznaczone jako "pliki konfiguracyjne") muszą być zachowane przez dpkg podczas instalacji nowej wersji pakietu zawierającego te pliki.

POLECENIA

[--add] plik
    Dodaje nadpisanie pliku.

--remove plik
    Usuwa nadpisanie pliku.

--list wzorzec-glob
    Wyświetla nadpisania pasujące do wzorca-glob.

--listpackage plik
    Wyświetla nazwę pakietu, który zawiera ominięcie pliku. Wyświetla napis LOCAL jeśli plik jest ominięty lokalnie, nie wyświetla nic jeśli dla pliku nie ma ominięcia.

--truename plik
    Wyświetla rzeczywistą nazwę nadpisanego pliku.

OPCJE

--admindir katalog
    Ustawia katalog bazy danych dpkg na katalog (domyślnie /var/lib/dpkg).

--divert nadpisz-do
    nadpisz-do jest lokalizacją, do której zostaną nadpisane wersje pliku dostarczane przez inne pakiety.

--local
    Określa, że zostaną nadpisane wszystkie wersje tego pliku. Oznacza to ,że bez żadnych wyjątków, plik jest nadpisywany, niezależnie od tego, który pakiet jest instalowany. Administrator może tego użyć do zainstalowania lokalnie zmodyfikowanej wersji pliku.

--package pakiet
    pakiet jest nazwą pakietu, którego kopia pliku nie będzie nadpisana, tj. plik będzie nadpisany dla wszystkich pakietów oprócz podanego pakietu.

--quiet
    Tryb cichy, bez rozwlekłych komunikatów.

--rename
    Przenosi plik w jedną lub drugą stronę. dpkg-divert przerwie działanie, jeżeli plik docelowy już istnieje.

--test
    Tryb testowy, tzn. nie wykonuje żadnych akcji, tylko pokazuje, co zostałoby zrobione.

--help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

UWAGI
When adding, default is --local and --divert original.distrib. When removing, --package or --local and --divert must match if specified. Za pomocą dpkg-divert nie można nadpisać katalogów. Należy być ostrożnym podczas nadpisywania bibliotek współdzielonych. ldconfig(8) tworzy dowiązania symboliczne na podstawie pola DT_SONAME ustawionego w bibliotece. Ponieważ ldconfig nie honoruje nadpisań (tylko dpkg to robi), dowiązanie symboliczne może wskazywać na nadpisaną bibliotekę, jeżeli ta nadpisana biblioteka ma takie samo SONAME, co nienadpisana.

PRZYKŁADY
Aby nadpisać wszystkie kopie pliku /usr/bin/przykład do /usr/bin/przykład.bla, tj. spowodować, że wszystkie pakiety dostarczające /usr/bin/przykład zainstalują ten plik jako /usr/bin/przykład.bla i zmienią nazwę pliku, jeśli jest to wymagane:

dpkg-divert --divert /usr/bin/przykład.bla --rename /usr/bin/przykład

Aby usunąć to nadpisanie:

dpkg-divert --rename --remove /usr/bin/przykład

Aby napisać /usr/bin/przykład jako /usr/bin/przykład.bla wszystkim pakietom, próbującym zainstalować ten plik, oprócz pakietu wibble:

dpkg-divert --package wibble --divert /usr/bin/przykład.bla --rename /usr/bin/przykład

Aby usunąć to nadpisanie:

dpkg-divert --package wibble --rename --remove /usr/bin/przykład

ŚRODOWISKO

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

DPKG_MAINTSCRIPT_PACKAGE
    If set and the --local and --package options have not been specified, dpkg-divert will use it as the package name.

PLIKI

/var/lib/dpkg/diversions
    Plik zawierający obecną listę nadpisań plików w systemie. Zlokalizowany jest w katalogu administracyjnym dpkg, łącznie z innymi plikami ważnymi dla dpkg, takimi jak status lub available.
    Uwaga: przed zastąpieniem pliku nową wersją, dpkg-divert zachowuje starą kopię w pliku z rozszerzeniem "-old".

ZOBACZ TAKŻE
dpkg(1).

AUTOR
Copyright © 1995 Ian Jackson

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008